Bug 198123 - should not try to write to /usr/lib/mailman/Mailman when mm_cfg.py changes
should not try to write to /usr/lib/mailman/Mailman when mm_cfg.py changes
Product: Fedora
Classification: Fedora
Component: mailman (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2006-07-09 19:31 EDT by Russell Coker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-29 08:37:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2006-07-09 19:31:18 EDT
When mm_cfg.py is changed the Python scripts try to compile it to mm_cfg.pyc 
which requires write access to /usr/lib/mailman.  Such access is not 
appropriate and is prevented by SE Linux policy.

A better solution would be to have the file mm_cfg.py installed in a directory 
of it's own so that write access could be granted to it without granting write 
access to other files.

The FHS says: "/usr/lib includes object files, libraries, and internal 
binaries that are not intended to be executed directly by users or shell 
scripts", so it seems that config files should not be there anyway.
Comment 1 Harald Hoyer 2006-09-29 08:37:58 EDT
does /etc/mailman/ not work?

$ ls /etc/mailman/
adm.pw  mm_cfg.py  mm_cfg.pyc  mm_cfg.pyo  sitelist.cfg

Note You need to log in before you can comment on or make changes to this bug.